Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/7749/?format=api
{ "ob_id": 7749, "uuid": "94962db34935a9301c9669d9539090d3", "title": "Radiosonde data from the Orographic Flows and the Climate of the Antarctic Peninsula (OFCAP) project (January 2011)", "abstract": "Radiosonde data measured using balloon-borne radiosondes released from the Larsen Ice Shelf Camp and Rothera Base on the Antarctic Peninsula during the NERC-funded Orographic Flows and the Climate of the Antarctic Peninsula (OFCAP) project in January 2011.", "keywords": "BAS, radiosonde, Antarctic, OFCAP", "publicationState": "citable", "dataPublishedTime": "2014-09-19T12:04:27", "doiPublishedTime": "2014-09-23T23:00:00", "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/7750/?format=api", "dataPath": "/badc/ofcap/data/radiosonde", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 33826093, "numberOfFiles": 144, "fileFormat": "<div property=\"cedacat:formats\">\n<div class=\"formats\">Data availability and file format</div>\n<p>\nRadiosonde data supplied to the BADC by the OFCAP project are stored in the <a href=\"http://badc.nerc.ac.uk/cgi-bin/data_browser/data_browser/badc/ofcap/data/radiosonde\">OFCAP radiosonde data archive </a> at the BADC. Data are publicly available but users of the data are requested to acknowledge the data providers and use the citation below</p>\n\n<p>Files are available in a standard radiosonde text format (.tsv), standard radiosonde binary format (.edt) and <a href=\"http://badc.nerc.ac.uk/help/formats/NASA-Ames/\">NASA Ames ASCII format</a>. \n</p></div>\n\n\n\n\n" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/2235/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/170/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/53451/?format=api" ], "dataLineage": "Not defined.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5015/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5016/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/7574/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/7738/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32117/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32120/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/44972/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/46796/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32116/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32115/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32118/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32119/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/44974/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/44975/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/44973/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/7752/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }